Summary: GNOME terminal
Name: gnome-terminal
Version: 2.4.0.1
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-terminal-32.png
Source2: gnome-terminal-16.png
# (fc) 2.0.0-2mdk add -geometry support
Patch0:  gnome-terminal-2.2.0-geometry.patch.bz2
# (fc) 2.4.0.1-2mdk fix french translation (bug 5611)
Patch1:	 gnome-terminal-2.4.0.1-fixpo.patch.bz2
# (fc) 2.4.0.1-2mdk fix crash when new profile name contains space
Patch2:  gnome-terminal-2.4.0.1-profilename.patch.bz2
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gtk+2.0 >= 2.2.0
BuildRequires: gettext
BuildRequires: vte-devel >= 0.10.4
BuildRequires: gtk+2-devel >= 2.2.0
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: startup-notification-devel >= 0.4
BuildRequires: scrollkeeper
PreReq: scrollkeeper >= 0.3

%description
GNOME Terminal

%prep
%setup -q
%patch0 -p1 -b .geometry
%patch1 -p1 -b .fixpo
%patch2 -p1 -b .profilename

%build

%configure2_5x --with-widget=vte

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/gnome-terminal" icon="gnome-terminal.png" longtitle="Terminal of the GNOME desktop" title="GNOME Terminal" needs="gnome" section="Terminals" startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir}
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/gnome-terminal.png
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/gnome-terminal.png
cp -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/gnome-terminal.png $RPM_BUILD_ROOT%{_liconsdir}/gnome-terminal.png

%find_lang %{name} --with-gnome

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/{C,ro}/%name.html

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-terminal.schemas > /dev/null
%{update_menus}
update-alternatives --install /usr/X11R6/bin/xvt xvt %{_bindir}/gnome-terminal 10

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-terminal.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}
if [ "$1" = "0" ]; then
		update-alternatives --remove xvt %{_bindir}/gnome-terminal
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-terminal
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/gnome-terminal
%{_datadir}/omf/gnome-terminal/*-C.omf
%lang(de) %{_datadir}/omf/gnome-terminal/*-de.omf
%lang(es) %{_datadir}/omf/gnome-terminal/*-es.omf
%lang(fr) %{_datadir}/omf/gnome-terminal/*-fr.omf
%lang(it) %{_datadir}/omf/gnome-terminal/*-it.omf
%lang(ja) %{_datadir}/omf/gnome-terminal/*-ja.omf
%lang(ko) %{_datadir}/omf/gnome-terminal/*-ko.omf
%lang(ro) %{_datadir}/omf/gnome-terminal/*-ro.omf
%lang(sv) %{_datadir}/omf/gnome-terminal/*-sv.omf
%lang(zh) %{_datadir}/omf/gnome-terminal/*-zh*.omf
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html

%changelog
* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-2mdk
- Patch1 (CVS): fix french translation (bug #5611)
- Patch2 : fix crash when new profile contains space (bug #5632)

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch2 (merged upstream)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-4mdk
- Fix BuildRequires

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 2.3.2-3mdk
- Fix menu entry

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-2mdk
- tag omf files as lang files

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Regenerate patch 0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Rebuild against latest openssl
- Add yelp cache generation

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Add startup-notify support

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Regenerate patch0

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Use VTE instead of ZVT now
- Remove patches 1 (no longer needed), 3 (merged upstream)
- Regenerate patch2

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-7mdk
- Update patch0 to fix crash when using gnome-terminal as xvt & -geometry option

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk
- Remove obsolete options in menu entry

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-5mdk
- Patch3 (rawhide): fix keyboard handling

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Fix menu entry

* Wed Aug 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Fix dependency on libzvt, it was incorrect

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch2 (rawhide): get "same font as other applications" from 
  the monospace_font GConf preference (Rawhide)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Force depencency on libzvt > 2.0.0-3mdk to ensure we have the i18n branch
- Patch1: fix font selection dialog (needed with libzvt i18n branch)

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-5mdk
- BuildRequires

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Remove NO_XALF menu entry

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Recompiled against libzvt 2.0.0

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Add xvt support
- Patch0: add support for -geometry option

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.7-1mdk
- Release 1.9.7

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.6-1mdk
- Release 1.9.6

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.5-1mdk
- Release 1.9.5

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.3-1mdk
- Release 1.9.3

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.2-1mdk
- Initial Mdk package


# end of file
